CamelLocalSummary
3
CAMEL Library

# CamelLocalSummary

## Synopsis

                        CamelLocalSummary;
                        CamelLocalMessageInfo;
    void                camel_local_summary_construct       (CamelLocalSummary *new,
                                                             const gchar *filename,
                                                             const gchar *local_name,
                                                             CamelIndex *index);
    gint                camel_local_summary_load            (CamelLocalSummary *cls,
                                                             gint forceindex,
                                                             CamelException *ex);
    gint                camel_local_summary_check           (CamelLocalSummary *cls,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);
    gint                camel_local_summary_sync            (CamelLocalSummary *cls,
                                                             gboolean expunge,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);
    CamelMessageInfo *  camel_local_summary_add             (CamelLocalSummary *cls,
                                                             CamelMimeMessage *msg,
                                                             const CamelMessageInfo *info,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);
    void                camel_local_summary_check_force     (CamelLocalSummary *cls);
    gchar *             camel_local_summary_encode_x_evolution
                                                            (CamelLocalSummary *cls,
                                                             const CamelLocalMessageInfo *info);
    gint                camel_local_summary_decode_x_evolution
                                                            (CamelLocalSummary *cls,
                                                             const gchar *xev,
                                                             CamelLocalMessageInfo *info);
    gint                camel_local_summary_write_headers   (gint fd,
                                                             struct _camel_header_raw *header,
                                                             const gchar *xevline,
                                                             const gchar *status,
                                                             const gchar *xstatus);

## Description

## Details

### CamelLocalSummary

    typedef struct {
    	CamelFolderSummary parent;

    	guint32 version;	/* file version being loaded */

    	gchar *folder_path;	/* name of matching folder */

    	CamelIndex *index;
    	guint index_force:1; /* do we force index during creation? */
    	guint check_force:1; /* does a check force a full check? */
    } CamelLocalSummary;

### CamelLocalMessageInfo

    typedef struct {
    	CamelMessageInfoBase info;
    } CamelLocalMessageInfo;

### camel_local_summary_construct ()

    void                camel_local_summary_construct       (CamelLocalSummary *new,
                                                             const gchar *filename,
                                                             const gchar *local_name,
                                                             CamelIndex *index);

`new` :

`filename` :

`local_name` :

`index` :

### camel_local_summary_load ()

    gint                camel_local_summary_load            (CamelLocalSummary *cls,
                                                             gint forceindex,
                                                             CamelException *ex);

`cls` :

`forceindex` :

`ex` :

Returns :

### camel_local_summary_check ()

    gint                camel_local_summary_check           (CamelLocalSummary *cls,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);

`cls` :

`Param2` :

`ex` :

Returns :

### camel_local_summary_sync ()

    gint                camel_local_summary_sync            (CamelLocalSummary *cls,
                                                             gboolean expunge,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);

`cls` :

`expunge` :

`Param3` :

`ex` :

Returns :

### camel_local_summary_add ()

    CamelMessageInfo *  camel_local_summary_add             (CamelLocalSummary *cls,
                                                             CamelMimeMessage *msg,
                                                             const CamelMessageInfo *info,
                                                             CamelFolderChangeInfo *,
                                                             CamelException *ex);

`cls` :

`msg` :

`info` :

`Param4` :

`ex` :

Returns :

### camel_local_summary_check_force ()

    void                camel_local_summary_check_force     (CamelLocalSummary *cls);

`cls` :

### camel_local_summary_encode_x_evolution ()

    gchar *             camel_local_summary_encode_x_evolution
                                                            (CamelLocalSummary *cls,
                                                             const CamelLocalMessageInfo *info);

`cls` :

`info` :

Returns :

### camel_local_summary_decode_x_evolution ()

    gint                camel_local_summary_decode_x_evolution
                                                            (CamelLocalSummary *cls,
                                                             const gchar *xev,
                                                             CamelLocalMessageInfo *info);

`cls` :

`xev` :

`info` :

Returns :

### camel_local_summary_write_headers ()

    gint                camel_local_summary_write_headers   (gint fd,
                                                             struct _camel_header_raw *header,
                                                             const gchar *xevline,
                                                             const gchar *status,
                                                             const gchar *xstatus);

Write a bunch of headers to the file `fd`. IF xevline is non NULL, then an X-Evolution header line is created at the end of all of the headers. If `status` is non NULL, then a Status header line is also written. The headers written are termianted with a blank line.

`fd` :

`header` :

`xevline` :

`status` :

`xstatus` :

Returns :

  -1 on error, otherwise the number of bytes written.